Bug 248365 - SELinux is preventing /sbin/rpc.statd
SELinux is preventing /sbin/rpc.statd
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-16 10:04 EDT by Steve Dickson
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 10:09:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Audit log. (8.09 KB, application/octet-stream)
2007-07-16 10:04 EDT, Steve Dickson
no flags Details

  None (edit)
Description Steve Dickson 2007-07-16 10:04:22 EDT
Description of problem:
SELinux is preventing /sbin/rpc.statd (rpcd_t) "search" to sbin (bin_t).     
For complete SELinux messages. run sealert -l 8e45e5fb-fbcd-4bc3-af16-6d610b48f525


Version-Release number of selected component (if applicable):


How reproducible
always

Steps to Reproduce:
1.service nfslock restart
2.
3.
  
Actual results:


Expected results:


Additional info:sealert -l 8e45e5fb-fbcd-4bc3-af16-6d610b48f525
Summary
    SELinux is preventing /sbin/rpc.statd (rpcd_t) "search" to sbin (bin_t).

Detailed Description
    SELinux denied access requested by /sbin/rpc.statd. It is not expected that
    this access is required by /sbin/rpc.statd and this access may signal an
    intrusion attempt. It is also possible that the specific version or
    configuration of the application is causing it to require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for sbin, restorecon -v sbin If this
    does not work, there is currently no automatic way to allow this access.
    Instead,  you can generate a local policy module to allow this access - see
    http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you can disable
    SELinux protection altogether. Disabling SELinux protection is not
    recommended. Please file a http://bugzilla.redhat.com/bugzilla/enter_bug.cgi
    against this package.

Additional Information        

Source Context                root:system_r:rpcd_t
Target Context                system_u:object_r:bin_t
Target Objects                sbin [ dir ]
Affected RPM Packages         nfs-utils-1.1.0-1.fc7
                              [application]filesystem-2.4.6-1.fc7 [target]
Policy RPM                    selinux-policy-2.6.4-26.fc7
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall_file
Host Name                     lucky.home.4dicksons.org
Platform                      Linux lucky.home.4dicksons.org 2.6.22.1-20.fc7 #1
                              SMP Sat Jul 14 12:08:03 EDT 2007 i686 athlon
Alert Count                   4
First Seen                    Mon Jul 16 08:59:12 2007
Last Seen                     Mon Jul 16 09:57:39 2007
Local ID                      8e45e5fb-fbcd-4bc3-af16-6d610b48f525
Line Numbers                  

Raw Audit Messages            

avc: denied { search } for comm="rpc.statd" dev=sda2 egid=0 euid=0
exe="/sbin/rpc.statd" exit=-13 fsgid=0 fsuid=0 gid=0 items=0 name="sbin"
pid=3173 scontext=root:system_r:rpcd_t:s0 sgid=0 subj=root:system_r:rpcd_t:s0
suid=0 tclass=dir tcontext=system_u:object_r:bin_t:s0 tty=(none) uid=0
Comment 1 Steve Dickson 2007-07-16 10:04:22 EDT
Created attachment 159321 [details]
Audit log.
Comment 2 Daniel Walsh 2007-07-16 16:15:36 EDT
Fixed in selinux-policy-2.6.4-29
Comment 3 Daniel Walsh 2007-08-22 10:09:56 EDT
Closing as fixes are in the current release

Note You need to log in before you can comment on or make changes to this bug.